<?php
/**
 * class _exception
 *
 * Description for class _exception
 *
 * @author:
*/
namespace core\exception;

class _exception extends \Exception {
	public function __construct($type, $message = null, $code = 0) {
		if(!$message) {
			throw new $this("Unknown ".get_class($this));
		}
		
		switch($type) {
			case "database":
				__debug("Błąd bazy danych!", false);
				break;
			case "template":
				__debug("Błąd szablonów!", false);
				break;
			default:
				__debug("Nie obsłużony", false);
				break;
		}

		__debug($message, false);
		__debug($code);
	}
}
?>